dto_generator:
  entities:
    api:
      XCart\API\Entity\Storefront\Country:
        name: Country
        logicEntity: XCart\Logic\Entity\Storefront\Country
        path: /storefront/countries
        register_get_one: true
        register_get_collection: true
        idType: manual
        itemOperations:
          get:
            method: GET
            path: /storefront/countries/{id}
            requirements:
              id: '\S+'
            identifiers: [id]
        fields:
          id:
            id: true
            type: string
          code:
            type: string
          name:
            type: string
          regions:
            type: XCart\API\Entity\Storefront\Region[]
          states:
            type: XCart\API\Entity\Storefront\State[]
